RDKit: RDKit::MolChemicalFeatureDef Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDKit::MolChemicalFeatureDef Class Reference

`#include <MolChemicalFeatureDef.h>`

## Public Types
typedef std::list< boost::shared_ptr< MolChemicalFeatureDef > > | CollectionType

## Public Member Functions
| MolChemicalFeatureDef ()
| MolChemicalFeatureDef (const std::string &smarts, std::string family, std::string type)
unsigned int | getNumWeights () const
std::vector< double >::iterator | beginWeights ()
std::vector< double >::iterator | endWeights ()
std::vector< double >::const_iterator | beginWeights () const
std::vector< double >::const_iterator | endWeights () const
void | setWeights (const std::vector< double > &weights)
const std::string & | getFamily () const
const std::string & | getType () const
const std::string & | getSmarts () const
void | normalizeWeights ()
const ROMol * | getPattern () const

## Detailed Description

Definition at line 25 of file MolChemicalFeatureDef.h.

## Member Typedef Documentation

## ◆ CollectionType

typedef std::list<boost::shared_ptr<MolChemicalFeatureDef> > RDKit::MolChemicalFeatureDef::CollectionType

Definition at line 27 of file MolChemicalFeatureDef.h.

## Constructor & Destructor Documentation

## ◆ MolChemicalFeatureDef() [1/2]

RDKit::MolChemicalFeatureDef::MolChemicalFeatureDef | ( |  | ) |
| inline

Definition at line 29 of file MolChemicalFeatureDef.h.

## ◆ MolChemicalFeatureDef() [2/2]

RDKit::MolChemicalFeatureDef::MolChemicalFeatureDef | ( | const std::string & | smarts,
|  | std::string | family,
|  | std::string | type )

## Member Function Documentation

## ◆ beginWeights() [1/2]

std::vector< double >::iterator RDKit::MolChemicalFeatureDef::beginWeights | ( |  | ) |
| inline

Definition at line 34 of file MolChemicalFeatureDef.h.

## ◆ beginWeights() [2/2]

std::vector< double >::const_iterator RDKit::MolChemicalFeatureDef::beginWeights | ( |  | ) | const
| inline

Definition at line 37 of file MolChemicalFeatureDef.h.

## ◆ endWeights() [1/2]

std::vector< double >::iterator RDKit::MolChemicalFeatureDef::endWeights | ( |  | ) |
| inline

Definition at line 35 of file MolChemicalFeatureDef.h.

## ◆ endWeights() [2/2]

std::vector< double >::const_iterator RDKit::MolChemicalFeatureDef::endWeights | ( |  | ) | const
| inline

Definition at line 40 of file MolChemicalFeatureDef.h.

## ◆ getFamily()

const std::string & RDKit::MolChemicalFeatureDef::getFamily | ( |  | ) | const
| inline

Definition at line 52 of file MolChemicalFeatureDef.h.

## ◆ getNumWeights()

unsigned int RDKit::MolChemicalFeatureDef::getNumWeights | ( |  | ) | const
| inline

Definition at line 33 of file MolChemicalFeatureDef.h.

## ◆ getPattern()

const ROMol * RDKit::MolChemicalFeatureDef::getPattern | ( |  | ) | const
| inline

Definition at line 58 of file MolChemicalFeatureDef.h.

Referenced by setWeights().

## ◆ getSmarts()

const std::string & RDKit::MolChemicalFeatureDef::getSmarts | ( |  | ) | const
| inline

Definition at line 54 of file MolChemicalFeatureDef.h.

## ◆ getType()

const std::string & RDKit::MolChemicalFeatureDef::getType | ( |  | ) | const
| inline

Definition at line 53 of file MolChemicalFeatureDef.h.

## ◆ normalizeWeights()

void RDKit::MolChemicalFeatureDef::normalizeWeights | ( |  | ) |

## ◆ setWeights()

void RDKit::MolChemicalFeatureDef::setWeights | ( | const std::vector< double > & | weights | ) |
| inline

Definition at line 44 of file MolChemicalFeatureDef.h.

References getPattern().

The documentation for this class was generated from the following file:

- MolChemicalFeatureDef.h